# Get district types

Use the district_type resource to get information about the categories of both legislative and non-legislative districts in Cicero. The default response ordering is by `name_short`.
Cost: 0 credits

Endpoint: GET /district_type

## Query parameters:

  - `format` (string)
    Specify the desired format of the response.

  - `customer_id` (string, required)
    Required. The [License Key](https://docs.melissa.com/melissa/license/license-information.html) issued by Melissa.

  - `key` (string)
    The [License Key](https://docs.melissa.com/melissa/license/license-information.html) issued by Melissa.

## Header parameters:

  - `Accept` (string, required)
    Format of the response.

  - `Content-Type` (string, required)
    Format of the request.

## Response 200:

  - `200` (unknown)
    Successful response

## Response 200 fields (application/json):

  - `response` (object)

  - `response.errors` (array)
    If the request encountered an error or errors, details about the error(s) will be contained in this field.

  - `response.messages` (array)
    Contains the resources matching the request query, if any.

  - `response.results` (object)
    Contains additional information about the outcome of a request that is not an error and not part of a query result.

  - `response.results.district_types` (array)

  - `response.results.district_types.name_short` (string)
    The code used for filtering responses by district type. Formatted in ALL_CAPS with an underscore.

  - `response.results.district_types.name_long` (string)
    A description of the district type.

  - `response.results.district_types.is_legislative` (boolean)
    Whether the districts of this type are legislative.

  - `response.results.district_types.notes` (string)
    Deprecated.

  - `response.results.district_types.acknowledgements` (string)
    Deprecated.

## Response 200 fields (application/xml):

  - `errors` (array)
    If the request encountered an error or errors, details about the error(s) will be contained in this field.

  - `messages` (array)
    Contains the resources matching the request query, if any.

  - `results` (object)
    Contains additional information about the outcome of a request that is not an error and not part of a query result.

  - `results.district_types` (array)

  - `results.district_types.name_short` (string)
    The code used for filtering responses by district type. Formatted in ALL_CAPS with an underscore.

  - `results.district_types.name_long` (string)
    A description of the district type.

  - `results.district_types.is_legislative` (boolean)
    Whether the districts of this type are legislative.

  - `results.district_types.notes` (string)
    Deprecated.

  - `results.district_types.acknowledgements` (string)
    Deprecated.

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 400 fields (application/json):

  - `response` (object)

  - `response.errors` (array)
    If the request encountered an error or errors, details about the error(s) will be contained in this field.

  - `response.messages` (array)
    Contains the resources matching the request query, if any.

  - `response.results` (object)
    Contains additional information about the outcome of a request that is not an error and not part of a query result.

## Response 400 fields (application/xml):

  - `errors` (array)
    If the request encountered an error or errors, details about the error(s) will be contained in this field.

  - `messages` (array)
    Contains the resources matching the request query, if any.

  - `results` (object)
    Contains additional information about the outcome of a request that is not an error and not part of a query result.

